package org.netkernel.xml.representation;

import java.io.IOException;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;

/** Representation wrapping a SAX Reader
 * @author tab
 */
public interface IRepSAX
{
	/** Return the XMLReader
	 */
	XMLReader getReader();
	
	/** Trigger the XMLReader to start producing events, this method returns after the whole document has been sent
	 * @throws IOException
	 * @throws SAXException
	 */
	void trigger() throws IOException, SAXException;
}
